Subject: bug#78356: Broken system and home containers

From: Rutherther <[email-masked]>
Date: Sun, 18 May 2025 08:57:52 +0200

Hi,

hiecaq <[email-masked]> writes:

>
> I'm getting this "unshare: 268566528: Invalid argument" error just 
> using `guix shell -C -m manifest.scm` when I was trying to develop 
> a local Haskell package today, and I think it might be relevant to 
> this bug.  Here is the backtrace:

I can confirm I can get this with your manifest as well. But not
consistently, I have to rerun the shell container multiple times to get
it. Also, from simple trial it seems it's the development inputs of
xmobar-hiecaq that cause this. I am not getting the issue when I comment
everything else in the manifest. But I haven't tried minimizing this
even more to a specific input.

Regards
Rutherther